NAME(1)

NAME
ace - Interactive Perl client for ACEDB

SYNOPSIS
ace [options] [URL]

DESCRIPTION

 AcePerl is an object-oriented Perl interface for the AceDB
 database. It provides functionality for connecting to remote AceDB
 databases, performing queries, fetching ACE objects, and updating
 databases. The programmer's API is compatible with the JADE Java API,
 and interoperable with the API used by BoulderIO.

OPTIONS

-host <hostname>
    Server host (localhost)

-port <port>
    Server port (200005)

-path <db path>
    Local database path (no default)

-url
    <url> Server URL (see below

-login <user>
    Username

-pass <pass>
    Password

-tcsh
    Use T-shell completion mode

-save
    Save database updates automatically

-exec <command>
    Run a command and quit

Respects the environment variables $ACEDB_HOST and $ACEDB_PORT, if present. You can edit the command line using the cursor keys and emacs style key bindings. Use up and down arrows (or ^P, ^N) to access the history. The tab key completes partial commands. In tcsh mode, the tab key cycles among the completions, otherwise pressing the tab key a second time lists all the possibilities.

You may use multiple -exec switches to run a sequence of commands, or separate multiple commands in a single string by semicolons:

    ace.pl -e 'find Author Thierry-Mieg*' -e 'show' ace.pl -e 'find Author Thierry-Mieg*; show'

  Server URLs:

rpcace://hostname:port
    RPC server

sace://hostname:port
    Socket server

tace:/path/to/database
    Local database

/path/to/database
    Local database

    Usernames can be provided as sace://user@hostname:port

Name "readline::rl_special_prefixes" used only once: possible typo at ./ace line 161. Unknown option: version Usage: ./ace [options] [URL] Interactive Perl client for ACEDB

  Options (can be abbreviated):

-host <hostname>
    Server host (localhost)

-port <port>
    Server port (200005)

-path <db path>
    Local database path (no default)

-url
    <url> Server URL (see below

-login <user>
    Username

-pass <pass>
    Password

-tcsh
    Use T-shell completion mode

-save
    Save database updates automatically

-exec <command>
    Run a command and quit

Respects the environment variables $ACEDB_HOST and $ACEDB_PORT, if present. You can edit the command line using the cursor keys and emacs style key bindings. Use up and down arrows (or ^P, ^N) to access the history. The tab key completes partial commands. In tcsh mode, the tab key cycles among the completions, otherwise pressing the tab key a second time lists all the possibilities.

You may use multiple -exec switches to run a sequence of commands, or separate multiple commands in a single string by semicolons:

    ace.pl -e 'find Author Thierry-Mieg*' -e 'show' ace.pl -e 'find Author Thierry-Mieg*; show'

  Server URLs:

rpcace://hostname:port
    RPC server

sace://hostname:port
    Socket server

tace:/path/to/database
    Local database

/path/to/database
    Local database

    Usernames can be provided as sace://user@hostname:port

AUTHOR
This manual page was created using help2man for the Debian distribution by Andreas Tille <tille@debian.org>. It can be used freely for any other distribution.